1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Upgrading 8.1.1 to 8.2.0 - Catastrophic failure

Discussion in 'Plesk for Linux - 8.x and Older' started by tino, Jul 11, 2007.

  1. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    I have tried upgrading my 8.1.1. to 8.2.0.

    The result;
    Code:
    Starting xinetd service...                                           done
    Starting named service...                                            done
    Starting mysqld service...                                           done
    Starting qmail service...                                            done
    Starting courier-imap service...                                     done
    Starting postgresql service...                                       not installed
    Starting psa-spamassassin service...                                 not installed
    Starting Plesk...                                                    failed
    Starting drwebd service...                                           not installed
    

    Plesk won't start anymore.

    Tino
     
  2. RS_Jelle

    RS_Jelle Basic Pleskian

    23
    23%
    Joined:
    Apr 1, 2005
    Messages:
    46
    Likes Received:
    0
    I just got the same problem on my test server. The 8.1.1 upgrade went fine (after some problems with their update servers being down), but now it just trashes Plesk completely and it won't start any more (also not after a reboot). I also didn't receive any update process mails before it went wrong.

    Good that this problem only affects my home test server. I don't do any Plesk upgrades any more without testing them first.

    I'm on CentOS 4.5 with all latest updates. What's your os?
     
  3. troymc

    troymc Guest

    0
     
    Same problem here on my test server. CentOS 4.5 with all updates.
     
  4. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    I've tried it three times now. I keep ending up with the same situation; I can no longer start the psa service. (Not even after a reboot.)

    I have Centos 4.5 too. (Hmmm.. something in common?)

    Luckily it's a VE, so I can restore the whole thing in a jiffy.

    Tino
     
  5. baravalle

    baravalle Guest

    0
     
    Something is telling me that I should wait before upgrading. Using 4.5 myself too.

    Did you manage to sort the problems?

    Thanks,
    Andres
     
  6. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    As for me; no.
    I restored the server and think I'll sit this one out. Wait for 8.2.1 or something. :)

    I've tried three times. That's enough...

    Tino
     
  7. RS_Jelle

    RS_Jelle Basic Pleskian

    23
    23%
    Joined:
    Apr 1, 2005
    Messages:
    46
    Likes Received:
    0
    Which method did you all use to upgrade? I was using the Web Updater in the Plesk Admin when it failed.

    I'm going to give the autoinstaller a try now using the SSH for upgrading :)
     
  8. giliav

    giliav Guest

    0
     
    Don't try it...

    I started with the web upgrade - failed.
    Then the Autoinstaller - success but no change on the GUI (still shows 8.1.1) and also I get an "no such field UID" whenever I try to manage one of the domains or customers.

    This SUCKS big time - I wonder why no one from Plesk support bothers to post back here - 50% of the front page posts yell out "error upgrading..."

    VERY disappointed from this upgrade I wish I could undo as now I'm stuck.
    :confused:
     
  9. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    I have tried upgrading through the Plesk Updater and though Virtuozzo Templates (update the VE). Both types failed miserably.

    I got a lot of errors, here are some excerpts;

    And a lot of others. I didn't even pay much attention to the errors; installation failed, PSA won't start... what can you do...
    Had to restore the server.
     
  10. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    I just tried again today... Same error.. Same problem...

    No one that fixed it? I have create a ticket with SW Support. But that might take some time...

    Tino
     
  11. tino

    tino Basic Pleskian

    24
    23%
    Joined:
    Mar 6, 2008
    Messages:
    70
    Likes Received:
    0
    It didn't help me, but here's an answer from SWSupport:

    Check the Plesk admin password. If admin password contains special character as '#' you must change admin password. The admin password can be by changed:

    # export PSA_PASSWORD="new_password";/usr/local/psa/admin/sbin/ch_admin_passwd

    Check also if mysql server is started.

    Well, I will have to renew my support contract. :-(

    I cannot even install the 8.2.0 eztemplate to a brand new VE. This is a real disappointment.

    Tino
     
  12. Group One Sales

    Group One Sales Guest

    0
     
    I am getting a similar error when I tried to update from 8.1.1 to 8.2 and my hosting company is offering no support for this. I believed it was clearly an upgrade problem, but oh well.

    My error is Internal Plesk error occurred: MySQL query failed: Unknown column 'uid' in 'field list'

    Any ideas how to fix this or roll it back?

    Thanks
     
Loading...